import React from 'react';
interface ButtonPrpos extends React.DetailedHTMLProps<React.ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement> {
    /** 버튼 내용 */
    children: React.ReactNode;
    /** 버튼을 비활성화 시킵니다. */
    disabled: boolean;
    /** 버튼의 색상을 정합니다. */
    color: 'primary' | 'secondary';
    /** 버튼의 모양을 정합니다. */
    variant: 'fill' | 'outline' | 'ghost';
    /** 버튼의 크기를 정합니다. */
    size: 'small' | 'medium' | 'large';
}
declare const _default: React.MemoExoticComponent<{
    ({ children, disabled, color, variant, size, ...props }: ButtonPrpos): JSX.Element;
    /** Button 컴포넌트의 Default Props */
    defaultProps: {
        disabled: boolean;
        color: string;
        variant: string;
        size: string;
    };
}>;
export default _default;
