import { CategoryProps, MenuProps } from './SideMenu';
/**
 * Menu 아이템 반환
 * @param item
 */
export declare const changeToMenuProps: (item: CategoryProps | MenuProps) => MenuProps;
/**
 * Category 아이템 반환
 * @param item
 */
export declare const changeToCategoryProps: (item: CategoryProps | MenuProps) => CategoryProps;
/**
 * 아이템 리스트 돌면서 depth 추가
 * @param items
 * @param depth
 */
export declare const getDepthItems: (items: Array<CategoryProps | MenuProps>, depth?: number) => Array<CategoryProps | MenuProps>;
/**
 * 하위 Open된 카테고리 메뉴가 몇개인지 반환
 * @param items
 * @param openItemCodes
 * @param isOpen
 */
export declare const getOpenChildrenItemsCount: (items: Array<CategoryProps | MenuProps> | undefined, openItemCodes: string[] | undefined, isOpen: boolean | undefined) => number;
